<?php
$CONFIG = array(
'log_type' => getenv('LOG_TYPE') ?: 'file',
'logfile' =>  getenv('LOG_FILE') ?: '/var/log/nextcloud.log',
'logfilemode' =>  getenv('LOG_FILE_MODE') ?: 0640,
'loglevel' =>  getenv('LOG_LEVEL') ?: 2,
'syslog_tag' =>  getenv('LOG_SYSLOG_TAG') ?: 'Nextcloud',
'log.condition' => [
	'shared_secret' => '57b58edb6637fe3059b3595cf9c41b9',
	'users' => ['sample-user'],
	'apps' => ['files'],
],
'logdateformat' =>  getenv('LOG_DATE_FORMAT') ?: 'F d, Y H:i:s',
'logtimezone' =>  getenv('LOG_TIMEZONE') ?: 'Europe/Berlin',
'log_query' =>  getenv('LOG_QUERY') ?: false,
'log_rotate_size' =>  getenv('LOG_ROTATE_SIZE') ?: 100 * 1024 * 1024,
);